FIPS-FINISH-INSTAL(8)

NAME
fips-finish-install - complete the installation of FIPS modules.

SYNOPSIS

fips-finish-install --complete

DESCRIPTION

fips-finish-install(8) is used by the fips-mode-setup(8) command to complete the installation of the system FIPS modules. The tool is not supposed to be called directly by the system administrator, but it is possible to do so.

The completion of the installation cannot be undone. The system has to be reinstalled if the FIPS modules are not supposed to be installed anymore.

OPTIONS

The only recognized and mandatory option is:

--complete: The command completes the FIPS module installation and calls dracut -f to regenerate the initramfs.

FILES

/etc/system-fips
    The presence of the file indicates that the installation of FIPS modules was completed.

SEE ALSO

fips-mode-setup(8)

AUTHOR

Written by Tomáš Mráz.